NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.AlongSpineBuilder Class Reference

Represents a NXOpen.GeometricUtilities.AlongSpineBuilder More...

Inheritance diagram for NXOpen.GeometricUtilities.AlongSpineBuilder:
NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  RetainSpineOption { KeepOriginal, Replace }
 Represents the Spine option. More...
 

Public Member Functions

unsafe void GetSpinePoints (out NXOpen.GeometricUtilities.OnPathDimWithValueBuilder[] spPoints)
 Returns the all SpinePointData objects More...
 
unsafe void SetFeatureSpine (NXOpen.Section featureSpine)
 Set the spine sent by the owning feaure dynamically into builder More...
 
unsafe void ResetSpine ()
 Reset the spine More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimWithValueBuilder 
CreateSpinePoint ()
 Creates a new spine point More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe NXOpen.Section FeatureSpine [get]
 Returns the Spine set by the owning feature of the law More...
 
unsafe NXOpen.Section Spine [get]
 Returns the Spine More...
 
unsafe
NXOpen.GeometricUtilities.AlongSpineBuilder.RetainSpineOption 
SpineOption [get, set]
 Returns or sets the alongSpineOption. More...
 
unsafe NXOpen.ObjectList SpinePointList [get]
 Returns the list of spine points. More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.AlongSpineBuilder

Created in NX5.0.0

Member Enumeration Documentation

Represents the Spine option.

This option will be used while editing the lagecy feaures (Feaures having profile without section in it).

Enumerator
KeepOriginal 

Keeps the original profile as it is during edit of pre NX3 parms

Replace 

Deletes the old profile, so that user has to select new one during edit of pre NX3 parms

Member Function Documentation

unsafe NXOpen.GeometricUtilities.OnPathDimWithValueBuilder NXOpen.GeometricUtilities.AlongSpineBuilder.CreateSpinePoint ( )

Creates a new spine point

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Returns
OnPathDimWithValueBuilder Object
unsafe void NXOpen.GeometricUtilities.AlongSpineBuilder.GetSpinePoints ( out NXOpen.GeometricUtilities.OnPathDimWithValueBuilder[]  spPoints)

Returns the all SpinePointData objects

Created in NX5.0.0

License requirements: None.

Parameters
spPointsArray of SpinePointData Objects
unsafe void NXOpen.GeometricUtilities.AlongSpineBuilder.ResetSpine ( )

Reset the spine

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe void NXOpen.GeometricUtilities.AlongSpineBuilder.SetFeatureSpine ( NXOpen.Section  featureSpine)

Set the spine sent by the owning feaure dynamically into builder

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
featureSpineSet the Spine into builder
unsafe bool NXOpen.GeometricUtilities.AlongSpineBuilder.Validate ( )

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Section NXOpen.GeometricUtilities.AlongSpineBuilder.FeatureSpine
get

Returns the Spine set by the owning feature of the law

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.GeometricUtilities.AlongSpineBuilder.Spine
get

Returns the Spine

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.AlongSpineBuilder.RetainSpineOption NXOpen.GeometricUtilities.AlongSpineBuilder.SpineOption
getset

Returns or sets the alongSpineOption.

This will be used only during the edit of Pre NX3 feature Parms

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.ObjectList NXOpen.GeometricUtilities.AlongSpineBuilder.SpinePointList
get

Returns the list of spine points.

Created in NX5.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.